Repozytoria "lokalne" ?

#1

Co jakiś czas, w miarę aktualizacji systemu, widzę, że pojawiają mi się pakiety bez repozytoriów, tzw. “lokalne”, które wcześniej były instalowane z repozytoriów systemowych lub z AUR.
Obecnie posiadam 4 takie pakiety (jak poniżej), których odpowiedników obecnie nie ma, ani w systemie, ani w AUR.


Pierwszy z nich jest zależnością innego pakietu. Pozostałe chyba nie są żadną zależnością.

Czy coś robicie u siebie z takimi “lokalnymi” pakietami w podobnej sytuacji?

#2

Po pierwsze, co to jest za manager pakietów?
Ponieważ u mnie w pamac obce paczki wyglądają tak:

I nie ma żadnego info o tym że to są pakiety lokalne.
A co ja robię z takimi “sierotami”? po prostu je wywalam z systemu.

EDIT:
Prawdopodobnie te paczki wyleciały z repo oraz z AUR.

#3

@robson75 -> tym manager’em jest browser, PkgBrowser.

@majo -> na jednej (przynajmniej) instalacji również mam te pakiety, z równie starą datą instalacji. Zauważ, że nie mają żadnych, powiązanych z nimi, plików. Znam temat już od dawno, ale próba odinstalowania wiąże się z osieroceniem innych pakietów, a więc i propozycją ich odinstalowania. Ponieważ nie przeszkadzają mi, a nie wiem, czy i do czego, są potrzebne, to nie ruszam.
Spekulowałem, że może, to meta-pakiety, ale znalazłem informację, że jednak nie. Wygląda na to, że to śmieci po czymś zainstalowanym z AUR lub pozostałości po przejściach związanych z tym, że zostały usunięte z repo - przeszły do AUR, a potem i stamtąd wyleciały (nie ma ich obecnie). Może te link’i coś Ci rozjaśnią (przyznam, że nie miałem odpowiedniej motywacji, aby zgłębiać temat):



… aaa, rzecz jasna piszę o xorg-utils i xorg-server-utils. Co do pozostałych dwóch, to może być podobnie (gstreamer0.10-fluendo wygląda, jakby pochodził z AUR) - były w AUR, ale się z niego zmyły.

1 Like
#4

Jeśli chodzi o gstreamer0.10-fluendo , to jest to zależności pakietu webcamstudio-git z AUR, zainstalowana całkiem niedawno. Obecnie widzę na, że ta zależność jest oznaczono na czerwono, na liście zależności webcamstudio-git (na stronie AUR), co wygląda mi na jakiś błąd (gdyż zależność jest wymagana, a nie ma jej obecnie w AUR). Poczekam na rozwój wypadków. Może się pojawi z powrotem w AUR.

Pozostałe 3 pakiety raczej nie są żadną zależnością, choć dziwne, że nie są oznaczone jako “osierocone”. Tu przyjmę twoją strategię “nie wiem, czy i do czego, są potrzebne, to nie ruszam” :slight_smile:

#5

@robson75
Nie pisałem o pakietach osieroconych.
W Pamac, przy tych 4 pakietach nie ma podanego żadnego repozytorium, a są one widoczne w zakładkach “Obce” i “Zainstalowany bezpośrednio”.
Nie ma natomiast tych pakietów w zakładce “Osierocone”.

#6

to oznacza że pakiet przestarzały ( nie zaktualizowany ) a jest nowszy…

#7

@majo
Proponuje zainstalować paczkę mlocate i zrobić porządek w systemie wykonując polecenie # updatedb.

#8

Nie widzę związku. Pacman ma swoją bazę danych zainstalowanych pakietów:

/var/lib/pacman/local/

a mlocate:

$ pamac info mlocate
Nazwa                     : mlocate
Opis                      : Merging locate/updatedb implementation

indexuje pliki na dysku.

#9

Wszystkie pakiety z listy na pierwszym screenie są do wywalenia.